=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   python-rapidjson -- Development requirements
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   MIT License
# :Copyright: © 2017, 2018, 2019, 2020, 2021 Lele Gaifax
#

-r requirements-test.txt

# Needed by make release
metapensiero.tool.bump-version==1.3
readme-renderer==24.0
twine==1.13.0

# Needed by make benchmarks-*
pytest-benchmark==3.2.2

# Keep in sync with benchmarks/tablize.py versions
pysimdjson==4.0.0
orjson==3.5.3
simplejson==3.17.2
ujson==4.0.2
