=== debian/changelog ===
python-rapidjson (1.4-3build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:10:17 +0000

python-rapidjson (1.4-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:19:43 +0000

python-rapidjson (1.4-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090601).
  * Add override_dh_auto_configure.
  * Add missing ${shlibs:Depends} in d/control.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:16:38 +0100

python-rapidjson (1.4-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 14:26:30 +0200

python-rapidjson (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #994539)

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 12:37:25 +0200
