=== debian/control ===
Source: python-rapidjson
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 rapidjson-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rapidjson
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rapidjson.git
Homepage: https://github.com/python-rapidjson/python-rapidjson

Package: python3-rapidjson
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-rapidjson-doc,
Description: Python wrapper around rapidjson
 RapidJSON is an extremely fast C++ JSON parser and serialization library: this
 module wraps it into a Python 3 extension, exposing its
 serialization/deserialization (to/from either bytes, str or file-like
 instances) and JSON Schema validation capabilities.

Package: python-rapidjson-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python wrapper around rapidjson - doc
 RapidJSON is an extremely fast C++ JSON parser and serialization library: this
 module wraps it into a Python 3 extension, exposing its
 serialization/deserialization (to/from either bytes, str or file-like
 instances) and JSON Schema validation capabilities.
 .
 This package contains the documentation.
