=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/python-rapidjson/python-rapidjson
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_configure:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp --rj-include-dir=/usr/include/rapidjson ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
#	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
#		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest tests ; \
#	done
endif
	dh_install

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-rapidjson-doc/usr/share/doc/python-rapidjson-doc/html
	dh_sphinxdoc
endif
